Loading...
Searching...
No Matches
globaldefs.h File Reference

Go to the source code of this file.

## Macros

#define | VAR
#define | EXTERN_VAR extern
#define | STATIC_VAR static
#define | INST_VAR
#define | EXTERN_INST_VAR extern
#define | STATIC_INST_VAR static
#define | GLOBAL_VAR
#define | THREAD_VAR
#define | FACTORY_PUBLIC

## Macro Definition Documentation

## EXTERN_INST_VAR

#define EXTERN_INST_VAR extern

Definition at line 9 of file globaldefs.h.

## EXTERN_VAR

#define EXTERN_VAR extern

Definition at line 6 of file globaldefs.h.

## FACTORY_PUBLIC

#define FACTORY_PUBLIC

Definition at line 25 of file globaldefs.h.

## GLOBAL_VAR

#define GLOBAL_VAR

Definition at line 11 of file globaldefs.h.

## INST_VAR

#define INST_VAR

Definition at line 8 of file globaldefs.h.

## STATIC_INST_VAR

#define STATIC_INST_VAR static

Definition at line 10 of file globaldefs.h.

## STATIC_VAR

#define STATIC_VAR static

Definition at line 7 of file globaldefs.h.

## THREAD_VAR

#define THREAD_VAR

Definition at line 12 of file globaldefs.h.

## VAR

#define VAR

Definition at line 5 of file globaldefs.h.